Jump to content

IP.Downloads 2.5.3 Retail


 Share

Recommended Posts

Название: IP.Downloads 2.5.3 Retail

Добавил: Respected

Добавлен: 28 Фев 2013

Категория: Компоненты, Приложения для IP.Board

Название по-русски : Файловый архив

Версия IP.Board: 3.4.x

IP.Downloads 2.5.3 Retail - компонент управления файлами на форуме, позволяющий пользователям вашего форума загружать, скачивать, отслеживать версионность и многое другое.

Link to comment
Share on other sites

На некоторых шаблонах почему-то некорректно отображается он. На каких протестировал я:

  • Стандарт - работает отлично
  • Baisik - работает некорректно, нет переключателей между файлами, вместо них выше названия отображаются символы <>
  • Concise - работает отлично
  • Cubic - работает некорректно, файлы вообще не отображаются, вместо них пустой шаблон "Особый файл" без скриншота и описания.

Шаблоны все именно для версии 3.4.2. Видимо нужно ждать фиксов

Link to comment
Share on other sites

Kinkl, естественно нужно ждать новых версий стилей :) Компоненты все обновили на которые долгое время и клепались шаблоны, и движок сейчас обновился, так что остаётся ждать :)

Link to comment
Share on other sites

Kinkl,

 

 

Baisik - работает некорректно, нет переключателей между файлами, вместо них выше названия отображаются символы <>

В самый низ ipdownloads.css добавь:

.carousel_nav {
	background: #fff;
	color: #444444;
	position: absolute;
	width: 40px;
	height: 40px;
	line-height: 36px;
	top: 50%; 
	margin-top: -25px; 
	-webkit-border-radius: 30px;
	-moz-border-radius: 30px;
	border-radius: 30px;
	text-align: center;
	-webkit-box-shadow: 0px 1px 3px rgba(0,0,0,0.4);
	-moz-box-shadow: 0px 1px 3px rgba(0,0,0,0.4);
	box-shadow: 0px 1px 3px rgba(0,0,0,0.4);
	font-size: 32px;
	font-weight: bold;
	display: block;
	z-index: 10;
}
	
	.carousel_nav:hover {
		background: #FF7530;
		color: #fff;
	}

.carousel_left { left: -5px; }
.carousel_right { right: -5px; }

#featured_pane {
	line-height: 1.5;
	position: relative;
	padding: 15px 10px;
	border: 1px solid #D5DDE5;
	width: auto;
	height: 150px;
	position: relative;
}

	#featured_pane .screenshot {
		margin-right: 10px;
		position: relative;
	}
	
		#featured_pane .screenshot img {
			width: 100px;
			height: 100px;
		}

	#featured_pane h2 {
		font-weight: bold;
		color: #528F6C;
		/*clear: none;*/
		margin: 0;
		line-height: 1;
	}
	
	#featured_pane h3 {
		font-size: 18px;
		padding: 0;
	}	

	#featured_pane .ipsBadge {
		font-size: 12px;
		position: absolute;
		top: 0px;
		left: 0px;
	}
	
	#featured_pane .download_button {
		padding: 5px 8px;
		margin-right: 20px;
	}

	#featured_pane .featured_file_panel 
	{
		position: absolute;
		width: 100%;
		padding: 2px;
		height: 150px;
		overflow: hidden;
	}

 

Link to comment
Share on other sites

Respected, как все просто оказывается! Спасибо большое, помогло. Жаль с Cubic не прокатило такое, все также отображает пустой файл.

Link to comment
Share on other sites

Kinkl,попробуй переустанови файловый архив. Если на рабочем проекте - сохрани все таблицы компонента. а после установки импортируй. 

Link to comment
Share on other sites

Установил и когда заходишь на форум не авроризованный то выдаёт вот это

 

 Fatal error: Call to a member function portalBlock() on a non-object in /home/bh43592/public_html/sakh-portal.ru/hooks/boardIndexLatestFiles_d13636b0c15a5b60f6b999df739296aa.php on line 34

 

когда отключаю компонент то всё нормально.

Форум установлен с нуля, версия 3.4.2

Link to comment
Share on other sites

Как я думаю это из-за блока последних файлов на главной. Как решить проблему или отключить этот блок?

Link to comment
Share on other sites


Как я думаю это из-за блока последних файлов на главной
iishel, кеп, по названию видно, верно думаешь  :yes:

 

 


Как решить проблему или отключить этот блок?
Просто отключить или посмотреть что там в 34 строке файла в котором ошибка.
Link to comment
Share on other sites

Вечер добрый. Вылезает при upgrade - Конвертация

Неправильная кодировка базы данных!

Кодировка таблиц базы данных должна быть установлена в utf8(utf8_general_ci).
Продолжение обновления невозможно. Требуется конвертация базы данных.
Выполните запрос "ALTER DATABASE `<Имя БД>` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci" для базы данных
И запрос "ALTER TABLE `Таблица` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci, CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci" для каждой таблицы с нессответствующей кодировкой

Link to comment
Share on other sites

Нужно проделать инструкцию, указанную установщиком.

Сделал. Теперь требует.

Предупреждение: Необходмо выбрать приложения для обновления.

Link to comment
Share on other sites

Как я думаю это из-за блока последних файлов на главной. Как решить проблему или отключить этот блок?

Обнови хук до последней версии. 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Ваша ссылка была автоматически строена.   Отображать как обычную ссылку

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...